Bug 891125 - Review Request: zathura-djvu - DjVu support for zathura
Summary: Review Request: zathura-djvu - DjVu support for zathura
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-01 23:01 UTC by François Cami
Modified: 2013-02-01 17:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 03:38:50 UTC
Type: ---
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Alternate spec (1.01 KB, text/x-rpm-spec)
2013-01-03 03:39 UTC, Eduardo Echeverria
no flags Details
use stdlib.h in zathura-djvu (323 bytes, patch)
2013-01-03 03:40 UTC, Eduardo Echeverria
no flags Details | Diff
Djvu install patch (356 bytes, patch)
2013-01-03 03:43 UTC, Eduardo Echeverria
no flags Details | Diff

Description François Cami 2013-01-01 23:01:05 UTC
Spec URL: http://fcami.fedorapeople.org/srpms/zathura-djvu.spec
SRPM URL: http://fcami.fedorapeople.org/srpms/zathura-djvu-0.2.1-1.fc18.src.rpm
Description: The zathura-djvu plugin adds DjVu support to zathura by using the djvulibre library.
Fedora Account System Username: fcami

Comment 1 François Cami 2013-01-01 23:01:42 UTC
Built in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4830093

Tested against bill_of_lading.djvu  sharperimage.djvu  ye000009.djvu
from http://www.caminova.net/en/products/?src=djvu_sample.aspx

Comment 2 Eduardo Echeverria 2013-01-02 05:11:20 UTC
Hi François: 

Any reason for djvulibre-devel is equal to or greater than 3.5.25.3?
I ask because I do not see any mention of specific version in the tarball

if we use repoquery, we have the following output:

repoquery -qf --whatprovides --releasever=17 djvulibre-devel
djvulibre-devel-0:3.5.24-5.fc17.x86_64
djvulibre-devel-0:3.5.24-5.fc17.i686
djvulibre-devel-0:3.5.24-3.fc17.i686
djvulibre-devel-0:3.5.24-3.fc17.x86_64
djvulibre-devel-0:3.5.24-5.fc17.x86_64
djvulibre-devel-0:3.5.24-5.fc17.i686
djvulibre-devel-0:3.5.24-3.fc17.i686
djvulibre-devel-0:3.5.24-3.fc17.x86_64

That means that if you plan to ship for f17, you can't

Although it is in updates-testing since October. 
https://admin.fedoraproject.org/updates/FEDORA-2012-15651/djvulibre-3.5.25.3-1.fc17

Could you explain me prior to the formal review? thanks for advance

Comment 3 François Cami 2013-01-02 11:22:03 UTC
Hi Eduardo,

It won't compile against djvulibre < 3.5.25.
I opened bug 882715 to ask djvulibre's maintainer to push the update to f16 a while ago.  
My plan for f17 is to ask releng for a buildroot override (I can't do it myself since I do not own djvulibre) to be able to build zathura-djvu and push it to updates-testing.

Thank you.

Comment 4 Michael Schwendt 2013-01-02 12:01:22 UTC
It's really just missing stddef.h? Then it would be a more convenient work-around to apply the patch to zathura-djvu where it uses the djvulibre headers: page-text.h

Comment 5 François Cami 2013-01-02 12:46:41 UTC
Thanks for the suggestion Michael. I'll do that on the f17 branch once the package is approved.

Eduardo, can you review zathura-djvu as it is?

Comment 6 Eduardo Echeverria 2013-01-03 03:39:10 UTC
Created attachment 671841 [details]
Alternate spec

Comment 7 Eduardo Echeverria 2013-01-03 03:40:34 UTC
Created attachment 671842 [details]
use stdlib.h in zathura-djvu

Comment 8 Eduardo Echeverria 2013-01-03 03:43:05 UTC
Created attachment 671843 [details]
Djvu install patch

Comment 9 Eduardo Echeverria 2013-01-03 03:45:18 UTC
(In reply to comment #4)
> It's really just missing stddef.h? Then it would be a more convenient
> work-around to apply the patch to zathura-djvu where it uses the djvulibre
> headers: page-text.h
Thanks for the catch Michael 


Hi François, 
I made a potential patch that can help in building on f17 and f16, please test the package in mock and let me know if everything is OK

https://fedoraproject.org/wiki/Using_Mock_to_test_package_builds#Building_packages_that_depend_on_packages_not_in_a_repository

size_t is defined in stddef.h header but also in stdlib.h, so I have based on it to make the patch

Best Regards

Comment 10 Michael Schwendt 2013-01-03 10:06:28 UTC
> size_t is defined in stddef.h header but also in stdlib.h

stdlib.h includes stddef.h ;)

For a temporary work-around such a detail doesn't really matter, though.

Comment 12 Eduardo Echeverria 2013-01-09 02:41:23 UTC
(In reply to comment #11)
> Builds in mock:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4849100
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4849124
> Thanks to you both.

You're welcome.

- The .so warning is about the libraries being unversioned, but this are private libs, Since you don't install them in ld path, this is OK.

- The warnings about the spelling errors can be ignored

- zathura-djvu.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
Please fix these cosmetics errors, before importing


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
x86 & x86_64 http://koji.fedoraproject.org/koji/taskinfo?taskID=4849124

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/djvu/891125-zathura-djvu/licensecheck.txt

* in the file LICENSE, you can see that the license is under zlib
* Similarly, it is verifiable with the licensecheck command

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: zathura-djvu-0.2.1-2.fc17.x86_64.rpm
          zathura-djvu-debuginfo-0.2.1-2.fc17.x86_64.rpm
          zathura-djvu-0.2.1-2.fc17.src.rpm
zathura-djvu.x86_64: W: spelling-error %description -l en_US djvulibre -> Libreville
zathura-djvu.src: W: spelling-error %description -l en_US djvulibre -> Libreville
zathura-djvu.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint zathura-djvu zathura-djvu-debuginfo
zathura-djvu.x86_64: W: spelling-error %description -l en_US djvulibre -> Libreville
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
zathura-djvu-0.2.1-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdjvulibre.so.21()(64bit)
    libgirara-gtk2.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    rtld(GNU_HASH)

zathura-djvu-debuginfo-0.2.1-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
zathura-djvu-0.2.1-2.fc17.x86_64.rpm:
    
    djvu.so()(64bit)
    zathura-djvu = 0.2.1-2.fc17
    zathura-djvu(x86-64) = 0.2.1-2.fc17

zathura-djvu-debuginfo-0.2.1-2.fc17.x86_64.rpm:
    
    zathura-djvu-debuginfo = 0.2.1-2.fc17
    zathura-djvu-debuginfo(x86-64) = 0.2.1-2.fc17



Unversioned so-files
--------------------
zathura-djvu-0.2.1-2.fc17.x86_64.rpm: /usr/lib64/zathura/djvu.so

MD5-sum check
-------------
http://pwmt.org/projects/zathura/plugins/download/zathura-djvu-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : d8bb3c9e30244a0733e49740ee2dd099ce39fa16f2c320af27a0c09d9a25bcc3
  CHECKSUM(SHA256) upstream package : d8bb3c9e30244a0733e49740ee2dd099ce39fa16f2c320af27a0c09d9a25bcc3

I don't see anymore blockers, therefore

----------------

PACKAGE APPROVED

----------------

Comment 13 François Cami 2013-01-09 05:01:41 UTC
Thank you!

Comment 14 François Cami 2013-01-09 05:04:41 UTC
New Package SCM Request
=======================
Package Name: zathura-djvu
Short Description: DjVu support for zathura
Owners: fcami psabata
Branches: f18 f17 f16 el6
InitialCC:

Comment 15 Eduardo Echeverria 2013-01-09 08:07:48 UTC
I re-set the review flag. It seems that you chose the incorrect :)

Comment 16 Gwyn Ciesla 2013-01-09 13:45:39 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2013-01-09 15:30:10 UTC
zathura-djvu-0.2.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zathura-djvu-0.2.1-2.fc17

Comment 18 Fedora Update System 2013-01-09 15:30:29 UTC
zathura-djvu-0.2.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zathura-djvu-0.2.1-2.fc18

Comment 19 Fedora Update System 2013-01-09 15:30:58 UTC
zathura-djvu-0.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zathura-djvu-0.2.1-2.fc16

Comment 20 Fedora Update System 2013-01-09 22:54:08 UTC
zathura-djvu-0.2.1-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 21 Fedora Update System 2013-01-20 03:38:51 UTC
zathura-djvu-0.2.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 22 Fedora Update System 2013-02-01 16:52:51 UTC
zathura-djvu-0.2.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 23 Fedora Update System 2013-02-01 17:14:57 UTC
zathura-djvu-0.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.